Copyright: Copyright (C) 1995 HYuu


WCEL
WCEL Help

By: HYuu   Translated by:Hitoshi Ozawa

KISS viewer/saver conforming to KISS/GS

Introduction

How to Use

File Menu

Edit Menu

Color Palette Menu

Option Menu

Help Menu

Miscellaneous

Liability

Distribution

Support and Copyright


Introduction

If you just downloaded WCEL without really understanding what KISS is, STOP!

Download WKISS and some KISS data immediately. Play with before continuing to read this file.

Files that may be opened:

-KISS cell and color palette files(*.CEL;*.KCF)

-16 color MAG format files (*.MAG)

-16/256 color uncompressed Windows' bitmap files (*.BMP)

-Open from &GV allows files supported (e.g. TIFF, JPEG, GIF) by graphic viewer program, GV, to be read into WCEL. However, please dither files to 256 colors before opening.

Files that may be created:

-KISS/GS cell and color palette files (*.CEL;*.KCF).

Cell size may be up to 2048 x 2048.

WCEL was developed to create KISS data and research into various other uses for KISS systems. It is designed for viewing nor playing with KISS data.

To create advanced KISS data, please try my other KISS tool, WSVC.


How to Use

As an item Viewer

Open a cell file or a color palette file by one of the following methods:

-Select File - Open. Enter the file name to open in the dialog box.

-Drag and Drop a file to open from the File Manager to WCEL work area.

-Append the file name to WCEL.EXE when executing WCEL (from command lines or program launchers).

-Associate the file extension of a file to open in a File Manager to WCEL.EXE and select the file.

Recommendation: Associate .CEL with WCEL in the File Manager.

WCEL will try to  open the corresponding color palette file when the cell file is opened.

Views may be changed from the option menu.

Pop-up menu may be displayed by clicking the right mouse button in the work area.

Window may be moved by pressing down the left mouse key in the work area and dragging.

As a Graphic Format Converter

Open a graphic file using one of the method listed in the Viewer or opening a file from GV.  Save cell and color palette files to create CEL and KCF files. Detailed specifications may be specified from Save Options dialog box: Edit - Save Options.


File Menu

File

Open...

Open graphic cell file. If color palette file can also be opened, it is also opened.

Open from GV...

Open a graphic file using GV DDE.

Save &Cell...

Save the currently display item as a cell (.CEL) conforming to KISS/GS.

Save Palette

Save the currently used color palette file (.KCF) conforming to KISS/GS.

Exit

End WCEL.

Close All

End all WCEL windows (if multiple windows are opened).


Edit Menu

Edit

Copy

Copy the currently displayed bitmap cell data to the clipboard.

Paste

Paste bitmap (DIB) data from the clipboard to the work area.

Offset

Change cell offset coordinates. If Offset is checked in the Options menu, margin is colored by 0th color in the color palette.

Save Options

Display Save Options dialog box.

Delete Cell

Erase the current cell data without deleting the color palette.

Delete Palette

Delete the current color palette without deleting cell data. Colors of cell without defined color palette are displayed  in sepia.


Color Palette Menu

Colors

0-9

Change color palette file.


Option Menu

Options

Redisplay

Redisplay cell based on window size. If Stretch option is checked, window area will remain the same but horizontal and vertical length will be adjusted in proportion to the cell dimensions.

Stretch

Resize the cell dimensions to the window work area dimensions when checked. Unchecking this option fixes the  cell size.

Always on Top

Always display WCEL window on top of other windows when checked.

No Multiple

Disallow multiple WCEL sessions when checked. Use only one WCEL window to display cell files.

Offest

Move the cell to the quantity entered as the offset. Margins is filled by the 0th color palette color.

Title

Displays WCEL title and menu bars when checked. When they are removed, please use right mouse click to display the pop-up menu and press the left mouse button to move the window.

AutoResize

If checked, resizes window when opening a file. If Stretch is checked, cell dimensions are changed when window size is changed.


Help Menu

Help

Data Information

Display cell and color palette information as well as if it conforms to KISS/GS. For further information on KISS/GS, consult theGS manual.

Contents

Display this help.

About

Display current WCEL version.


Miscellaneous

Acknowledgements

I want like to express my thanks to all people in the KISS_CUG in the Local Line YonaYona BBS who have given me valuable information to make WCEL possible.

I want to express special thanks to Lips for making an icon and OKA for providing me with a source to open MAG files.

Development Environment

PC-9821As + MS-Windows + BC++4.0J + HelpCard 94.11


KISS Data
Kiss data is available on internet home page: ISOFT-Japanese Software for International Users

  http://www.bekkoame.or.jp/~h_ozawa/

and ftp site:

 ftp://venice.tcp.com/pub/anime-manga/software/KISS/kissdata

After playing with KISS data, please send a mail with your opinion. Users who downloaded KISS file from the home page may also send mail to authors from this home page. They are eagerly waiting for your mail. If you request additional items, they just might make them for you.


WKISS
You probably already have WKISS - a KISS data viewer for Windows. If you haven't, it is available from internet home page:

http://www.bekkoame.or.jp/~h_ozawa/

WKISS was developed by F.K. to allow Windows users to enjoy KISS data. Please send him a thank you mail after downloading it.


KISS

What is KISS

  KISS is a specification for 2.5 dimensional graphical data. Its specification is in public domains and it can be obained from internet homepage: http://www.bekkoame.or.jp/~h_ozawa/

  The specification was originally developed for computer paper doll cloth changing system, but it could be used for various other tasks such as jigsaw puzzle. Some users get very involved in it and there already are some KISS cults. Please take care not to get too involved.

  The original program was developed on Japanese NEC PC9801, but KISS is currently supported on MS-Windows, Sharp X68000, Fujitsu's FM-Town, Macintosh, Japanese DOS/V, X Window System, and Amiga platform.

  To play with KISS, one of these viewers for your platform and KISS data are necessary. On a Windows platform, there currently is an English version of WKISS.


Cell Files (CEL)
Contains color code to define pixels color of each item on the screen.

Cell files must have an .CEL extension.


Color Palette File (KCF)
Defines relationships between color codes and actually screen color. Each file may contain definitions of up to 10 KISS stages.

Color palette files must have an .KCF extension.


Automatically Opening Color Palette Files

When cell file is opened and if one of the following conditions is true, color palette file located in the same directory is automatically opened.

- There is no opened color palette file

- Directory of the last opened cell file differ from the directory of the cell file opened

If there are several color palette files in the same directory, the first file that WCEL finds will be opened.

These conditions, however, may be preceded when an overriding condition is true.


ICON
Hi! My handle name is Hyuu. I'm the developer of WCEL. o(^^)o

First of all, I want to thank you for using WCEL. Please make lots of nice KISS data using this tool. If you need more capabilities, please also look at my WSVC KISS development tool for Windows.


KISS/GS

  The original KISS system on Japanese NEC PC98 systems was developed based on KISSv2.37 cell file and color palette file format specification. These specifications have been revised to KISS/GS and have been supported by various platforms.

  WCEL was developed to support KISS/GSv1.00. When a cell conforms to this GS, 'GS format' is displayed next to CEL and KCF in the Data Information dialog box (Help - Data Information).

For further information on KISS/GS specification, consult the GS manual.


KISS General Specification
Abbreviation of KISS General Specification.


KISekae Set system
Abbreviation of KISekae Set system which means cloth changing set system in Japanese.


Overriding opening color palette file condition

Caution when opening color palette files

When cell file is opened and

  x_*.CEL (where x is an arbitrary character and * is an arbitrary text)

color palette file with file name specified below in the same directory as the cell file is always opened regardless of conditions specified in  automatically opening a color palette file.

  x.KCF or x_*.KCF (where x is the same as specified in the cell file name and * is an arbitrary text)

If there are more than 1 color palette file matching the above condition, the first file WCEL finds will be opened.

Example

When following files are in the same directory,

  A.KCF

  B_S_MOON.KCF

  C_SCHOOL.KCF

  A_BODY.CEL

  B_TIARA.CEL

  B_CHOKER.CEL

  C_SKIRT.CEL

  C_BLAZER.CEL

Following color palette files are opened when cell file is opened.

  Cell File	                 Color Palette File

  A_BODY.CEL	  A.KCF

  B_TIARA.CEL	  B_S_MOON.KCF

  B_CHOKER.CEL	  B_S_MOON.KCF

  C_SKIRT.CEL	  C_SCHOOL.KCF

  C_BLAZER.CEL	  C_SCHOOL.KCF

Recommendation:

Name color palette file with the above consideration when multi-color palette is used. However, it is only a

WCEL specification and is not included in the KISS/GS.


Save Options

Transparent Color

KISS defines the 0th color in the cell file as a transparent color. Therefore, when draw items, set the background to the 0th color or set one of the following options to covert the color palette file when saving to a file.

-Use 0th color

Uses the 0th color palette.

-Insert (0,0) coordinate color

Insert (0,0) coordinate color as the 0th color in the color palette file. (Default).

-Replace with (0,0) coordinate color

Replace 0th color in the color palette file with the color of the (0,0) pixel.

Clip Cell File (*.CEL)

To reduce file size, surrounding background colored margins of an item should be clipped. WCEL automatically clips left and top margins.

-Calculate offset when clipping

 KISS/GS support offset coordinates (how far to move an item being displayed). This option is used to specified whether to readjust coordinates for clipped margins. Check this option when an item is going to overlap with an another item. If it is not going to overlap, it is better to uncheck this option.

Optimize lower right corner

It is recommended to check this option to reduce file size. Check this box when item movement is to be disabled or some other special technique is going to be used.

Palette file (*.KCF)  Conversion

KISS/GS supports 12bit (4096 colors) and 24bit (16,777,216 colors) images. This does not directly correspond to whether a cell uses  4bit/pixel (16 colors) or 8bit/pixel (256 colors). It is possible to use only 16 colors out of defined 16,777,216 colors.

-Save as 24bit/pixel when screen supports 8 bit color

Save in 24bit/pixel images (16,777,216 colors) when the read file was in 8 bit color (ie. 256 colors).

-Always save as 24bit/pixel

Regardless of how many colors the read file was, save image in 24bit/pixel (16,777,216 colors). If system actually supports less colors, some colors will not be properly saved.

-Always save as 12bit/pixel

Regardless of how many colors the read file was, save image in 12 bit/pixel (4096 colors).


DDE

Opening Graphic File via GV DDE

There are still some problems linking WCEL with GV (Graphics Viewer). Please read the following if you encounter any problems.

Function

A graphic file may be opened from the GV utility by selecting File - Open from &GV.... A file is opened in GV, which acts as a DDE server, and passed via DIB to WCEL. Check the following conditions if there is any problem.

- Make sure that the directory where GV.EXE file is located is included in the PATH if it is not in the same directory as WCEL.EXE.

- Check the version of GV. WCEL can only link with GV v0.63 or later.

*GV is a freeware developed by Tobita for viewing graphics files on Windows.

Executing GV

WCEL will automatically execute GV if it is not alreading running. If it is already running, there is no need to exit it.

GV activation options

When WCEL is executed, a WCEL.INI file is created in the WINDOWS directory. In this file, a statement

GV=GV.EXE /DDE /C=256 /QT=2

that specifies GV command line parameter is defined. By default, it specifys to dither to 256 colors (/C=256) when opening a file. It can be changed to an another value by changing this statement in the WCEL.INI file using a text editor like a NotePad. For further information, consult the GV document.

If there is a time out error

Large graphic file and some graphics format require a long time until GV can display it causing DDE to time out. In this situation, use a text editor to append the following line to the WCEL.INI file.

DdeTimeOut=30

DdeTimeOut2=250

If the time error persists, increase these numbers. Allowable number range from 1 to 32767.

DdeTimeOut2 defines the time it requires for GV to open and dither a file in 0.1 second interval. DdeTimeOut defines all other time required by the GV.

When there is an error opening a JPEG file, try increasing DdeTimeOut2.

If error persists, please just give up and use cut and paste (^_^;


Liability
 The author and the developer of this software will not take any responsibilities for any damages that may occur with the use of this software.  The files contained in WCEL108E.LZH are distributed "as is" and without any expressed and implied warranties.  The user assumes the entire risk of using the software.


Distribution
  WCEL Ver1.08E Win>KISS Cell Viewer/Saver  may be freely distributed if the following conditions are obeyed:

  1. If it is to be copied to another forum or to another distribution channel, please contact the developer to let us know exactly where it is to be copied.  We will need this information to  maintain and upgrade WCEL Ver1.08E Win>KISS Cell Viewer/Saver at all locations.

  2. This program can be distributed only in the original archived WCEL108E.LZH formatted file.  Do not change this file or any files within.

  3. Please make it apparent that WCEL Ver1.08E Win>KISS Cell Viewer/Saver is a FREE SOFTWARE. It is necessary to state this in the program description.

  4. If this program is to be mentioned in any article, please send an E-mail to one of the developers.

  If it is going to be distributed in any other ways (e.g. CD-ROM), please contact the developer.  The developer is willing to discuss other means of distribution.  Please send a mail to one of the E-mail addresses in the support section below.


Support and Copyright
Copyright

  WCEL Ver1.08E Win>KISS Cell Viewer/Saver is copyrighted by HYuu(H.Suzuki).  No part of this program or data may be reproduced, in any form or by any means, without a written permission from HYuu.

  Microsoft is a registered trademark and Windows is a trademark of Microsoft Corporation in the United States of America and other countries.  Other brand and product names are trademarks or registered trademarks of their respective holders.

Support

  Support for WCEL Ver1.08E Win>KISS Cell Viewer/Saver is provided by E-mail. If you have any question, opinion, suggestions, or any other comments, please send an E-mail to:

Japanese (and all comments and suggestions):

  	HYuu	Internet:	vfe06123@niftyserve.or.jp

English (only technical questions):

Hitoshi Ozawa	Internet:	h_ozawa@bekkoame.or.jp